import request from '@/utils/request'

// 查询门店覆盖和线路规则明细列表
export function listCoverAndRoutReport(data) {
  return request({
    url: '/sfa/route/coverAndRoutReport',
    method: 'post',
    data: data
  })
}

// 查询门店覆盖和线路规则明细详细
export function getCoverAndRoutReport(userId) {
  return request({
    url: '/sfa/coverAndRoutReport/' + userId,
    method: 'get'
  })
}

// 新增门店覆盖和线路规则明细
export function addCoverAndRoutReport(data) {
  return request({
    url: '/sfa/coverAndRoutReport',
    method: 'post',
    data: data
  })
}

// 修改门店覆盖和线路规则明细
export function updateCoverAndRoutReport(data) {
  return request({
    url: '/sfa/coverAndRoutReport',
    method: 'put',
    data: data
  })
}

// 删除门店覆盖和线路规则明细
export function delCoverAndRoutReport(userId) {
  return request({
    url: '/sfa/coverAndRoutReport/' + userId,
    method: 'delete'
  })
}
